# unrelease

Unrelease the current version of a dataset, e.g., to fix an error. Only the current version can be unreleased, and the unrelease window is limited to 7 days.

## HTTP Request

```http
POST /api/v1/datasets/:datasetReference/versions/current/unrelease
```

## Path parameters

| Parameter        |                                                                                                                        |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------- |
| datasetReference | A qualified reference to the dataset. See [referencing resources](/api/referencing-resources.md) for more information. |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Authorization

Edit access to the dataset is required. Your access token must have the following scope:

* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

No request body should be provided.

## Response body

Returns a JSON representation of a [version.get resource](/api/resource-definitions/version.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/versions/releaseversion-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
